# -*- coding: utf-8 -*-

#  -----------------
#  Copyright © 2023 ACK Cyfronet AGH, Poland.
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.
#
#  This work was partially funded by DT-GEO Project.
#  -----------------

import sys
import argparse
from responsespectra import main as responsespectra


def main(argv):
    parser = argparse.ArgumentParser()
    parser.add_argument("miniseed_file", help="Path to input file of type 'MiniSEED in accleration unit'")
    parser.add_argument("--Damping", help="Damping factor. 0.05 means 5% damping ratio",
                        type=float, default=0.05, required=False)

    args = parser.parse_args()
    responsespectra(**vars(args))
    return


if __name__ == '__main__':
    main(sys.argv)
